
FROM mcr.microsoft.com/dotnet/aspnet:5.0 AS base
WORKDIR /app
EXPOSE 80

FROM mcr.microsoft.com/dotnet/sdk:5.0 AS build
WORKDIR /src
COPY ["NotificationService.csproj","./"]
RUN dotnet restore "NotificationService.csproj"
COPY . .
#WORKDIR "/src/."
#RUN dotnet build "NotificationService.csproj" -c Release -o /app/build
#FROM build AS publish
RUN dotnet publish "NotificationService.csproj" -c Release -o  /app/publish

FROM base AS final 
WORKDIR /app
COPY --from=build /app/publish .
ENTRYPOINT ["dotnet", "NotificationService.dll"]



